Page MenuHomeFreeBSD

bridge test: spanning tree
ClosedPublic

Authored by kp on Mar 4 2020, 6:11 PM.

Details

Summary

Basic test case where we create a bridge loop, verify that we really are
looping and then enable spanning tree to resolve the loop.

Sponsored by: The FreeBSD Foundation

Diff Detail

Repository
rS FreeBSD src repository - subversion
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

This looks good in principle.

Though I wonder if there's a more deterministic way to detect "looping traffic"than "wait a while and check if we see a lot of traffic".

This revision is now accepted and ready to land.Mar 5 2020, 3:38 AM
This revision was landed with ongoing or failed builds.Mar 10 2020, 6:29 AM
Closed by commit rS358829: bridge test: spanning tree (authored by kp). · Explain Why
This revision was automatically updated to reflect the committed changes.